Show / Hide Table of Contents

# Struct RaptureAtkModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RaptureAtkModule

### Fields

| Improve this Doc View Source

#### AtkModule

##### Declaration

    public AtkModule AtkModule

##### Field Value

Type | Description
--- | ---
AtkModule |

| Improve this Doc View Source

#### NamePlateInfoArray

##### Declaration

    public RaptureAtkModule.NamePlateInfo NamePlateInfoArray

##### Field Value

Type | Description
--- | ---
RaptureAtkModule.NamePlateInfo |

### Methods

| Improve this Doc View Source

#### ChangeUiMode(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 0F B6 44 24 ?? 48 89 9F")]
    public bool ChangeUiMode(uint uiMode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | uiMode |

##### Returns

Type | Description
--- | ---
System.Boolean |